/*========= 背景動画設定のCSS ===============*/

/*header設定*/
#header{
    position: relative;/*h1の中央寄せ配置の起点とするためのrelative*/
    height: 100vh;/*高さを全画面にあわせる*/
    overflow: hidden;
} 

#sec-big-bg-product{
    position: relative;/*h1の中央寄せ配置の起点とするためのrelative*/
    height: 100vh;/*高さを全画面にあわせる*/
} 

#video-area{
    z-index: -2;/*最背面に設定*/
}

#video {
    /*天地中央配置*/
    position: absolute;
    z-index: -2;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    /*縦横幅指定*/
    /* 16:9 の幅→16 ÷ 9＝ 177.77% */
    width: 260vh;
    /* 16:9の幅 → 9 ÷ 16 = 56.25% */
    /* height: 56.25vw; */
    min-height: 100vh;
    min-width: 100%;
}

#sec-video-area{
    position: absolute;
    z-index: -2;/*最背面に設定*/
    top: 277px;
    right:0;
    left:0;
    bottom:-277px;
    overflow: hidden;
	max-height: 100vh;
    /* mask-image: linear-gradient(90deg, rgba(0,0,0,1) 0%, rgba(0,0,0,1) 85%, transparent);
    -webkit-mask-image: -webkit-linear-gradient(90deg, rgba(0,0,0,1) 0%, rgba(0,0,0,1) 85%, transparent); */
    padding-top: 32px;
}


#sec-video {
    /*天地中央配置*/
    position: absolute;
    z-index: -2;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    /*縦横幅指定*/
    /* 16:9 の幅→16 ÷ 9＝ 177.77% */
    width: 260vh;
	/* height: 100vh; */
    /* 16:9の幅 → 9 ÷ 16 = 56.25% */
    /* height: 56.25vw; */
    min-height: 100vh;
    min-width: 100%;
	overflow: hidden;
}

/*==================================================
スライダーのためのcss
===================================*/
.slider img {
    width:100%;/*スライダー内の画像を横幅100%に*/
    aspect-ratio: 1;
    object-fit: cover;
}

/*slickのJSで書かれるタグ内、スライド左右の余白調整*/

.slider .slick-slide {
    margin:0 10px;/*スライド左右の余白調整*/
}




/*========= ページトップのためのCSS ===============*/
/*リンクの形状*/
/* #page-top a{
	display: flex;
	justify-content:center;
	align-items:center;
	background:#942D2F;
	border-radius: 5px;
	width: 60px;
	height: 60px;
	color: #fff;
	text-align: center;
	text-transform: uppercase; 
	text-decoration: none;
	font-size:0.6rem;
	transition:all 0.3s;
} */

#page-top a{
	display: flex;
	/* justify-content:center; */
	align-items:flex-end;
	text-transform: uppercase; 
	text-decoration: none;
	transition:all 0.3s;
}






/*ページトップのリンクアイコンを*/
/*ある一定量スクロールするとリンクを左下に固定*/
#page-top {
	position: fixed;
    left: 2vw;
    bottom: 3vh;
	z-index: 2;
    /*はじめは非表示*/
	opacity: 0;
	transform: translateY(1100px);
    width: 16px;
}

/*　上に上がる動き　*/
#page-top.UpMove{
	animation: UpAnime 0.5s forwards;
}
@keyframes UpAnime{
  from {
    opacity: 0;
	transform: translateY(1100px);
  }
  to {
    opacity: 1;
	transform: translateY(0);
  }
}

/*　下に下がる動き　*/
#page-top.DownMove{
	animation: DownAnime 0.5s forwards;
}
@keyframes DownAnime{
  from {
  	opacity: 1;
	transform: translateY(0);
  }
  to {
  	opacity: 1;
	transform: translateY(1100px);
  }
}








/*メニュー部分を*/
/*ある一定量スクロールするとリンクを上部に固定*/

/*　上に上がる動き　*/
.sec-fixed {
	position: fixed;
    /* left: 4.17vw; */
    /* bottom: 5vh; */
	z-index: 2;
    /*はじめは非表示*/
	opacity: 0;
	transform: translateY(-1000px);
}

.sec-fixed.UpMove{
	animation: UpAnime 0.5s forwards;
}
@keyframes UpAnime{
  from {
    opacity: 0;
	transform: translateY(0);
  }
  to {
    opacity: 1;
	transform: translateY(0);
  }
}

/*　下に下がる動き　*/
.sec-fixed.DownMove{
	animation: DownAnime 0.5s forwards;
}
@keyframes DownAnime{
  from {
  	opacity: 1;
	transform: translateY(0);
  }
  to {
  	opacity: 0;
	transform: translateY(-100);
  }
}






/*========= ページネーションCSS ===============*/

.pagination {
	position:fixed;
	right:20px;
	top: 50%;
  	transform: translateY(-50%);
	font-size:1em;
	z-index: 10;
	list-style: none;
}

.pagination a {
	display:block;
	height:20px;
	margin-bottom:5px;
	color:#fff;
	position:relative;
	padding:4px;
}

.pagination a.active:after {
	box-shadow:inset 0 0 0 5px;
}

/*現在地表示のテキストの設定*/
.pagination a .hover-text {
	position:absolute;
	right:15px;
	top:0;
	opacity:0;
	-webkit-transition: opacity 0.5s ease;
	transition: opacity 0.5s ease;
	padding-right: 15px;
}

.pagination a:hover .hover-text {
	opacity: 0;
}

.pagination a:after {
	-webkit-transition:box-shadow 0.5s ease;
	transition:box-shadow 0.5s ease;
	width:10px;
	height:10px;
	display: block;
	border:1px solid;
	border-radius:50%;
	content:"";
	position: absolute;
	margin:auto;
	top:0;
	right:3px;
	bottom:0;
}

.gift,
.contact{
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 22vh;
    /* text-align: center; */
}


/*768px以下は現在地表示のテキストを非表示*/
@media screen and (max-width:768px) { 
	.pagination a .hover-text{
		display: none;
	}	
}








/* 下層ページハンバーガーメニュー*/
/*========= ナビゲーションのためのCSS ===============*/

#g-nav{
    /*position:fixed;にし、z-indexの数値を小さくして最背面へ*/
    position:fixed;
	z-index: -1;
	opacity: 0;/*はじめは透過0*/
    /*ナビの位置と形状*/
	top:0;
	width:100%;
    height: 100vh;/*ナビの高さ*/
	background: #795656;
    /*動き*/
	transition: all 0.3s;
    display: none;
}

.letters-nextpage #g-nav{
    display: block;
}

.top-page #g-nav{
	background: #341a15;
}

/*アクティブクラスがついたら透過なしにして最前面へ*/
#g-nav.panelactive{
	opacity: 1;
	z-index:999;
}

/*ナビゲーションの縦スクロール*/
#g-nav.panelactive #g-nav-list{
    /*ナビの数が増えた場合縦スクロール*/
    position: fixed;
    z-index: 999; 
    width: 100%;
    height: 100vh;/*表示する高さ*/
    overflow: auto;
    -webkit-overflow-scrolling: touch;
}

/*ナビゲーション*/
#g-nav ul {
    display: block;
    /*ナビゲーション天地中央揃え*/
    position: absolute;
    z-index: 999;
    top:50%;
    left:50%;
    transform: translate(-50%,-50%);
}

/*リストのレイアウト設定*/
#g-nav li{
	list-style: none;
    text-align: center; 
}

#g-nav li a{
	color: #fff;
	text-decoration: none;
	padding:10px;
	display: block;
	text-transform: uppercase;
	letter-spacing: 0.1em;
	font-weight: bold;
    font-weight: 300;
}

/*========= ボタンのためのCSS ===============*/
.openbtn{
	position:fixed;
    z-index: 9999;/*ボタンを最前面に*/
	top: 25px;
	right: 25px;
	cursor: pointer;
    width: 50px;
    height:50px;
    background:#795656;
	border-radius: 5px;
    display: none;
}
	
.letters-nextpage .openbtn{
    display: block;
}
	
.top-openbtn{
    display:none;
	border-radius: 0;
}
	
.letters-nextpage .top-openbtn{
    display: block;
}
	
/*×に変化*/	
.openbtn span{
    display: inline-block;
    transition: all .4s;
    position: absolute;
    left: 14px;
    height: 3px;
    border-radius: 2px;
	background-color: #fff;
  	width: 45%;
  }

.openbtn span:nth-of-type(1) {
	top:15px;	
}

.openbtn span:nth-of-type(2) {
	top:23px;
}

.openbtn span:nth-of-type(3) {
	top:31px;
}

.openbtn.active span:nth-of-type(1) {
    top: 18px;
    left: 18px;
    transform: translateY(6px) rotate(-45deg);
    width: 30%;
}

.openbtn.active span:nth-of-type(2) {
	opacity: 0;
}

.openbtn.active span:nth-of-type(3){
    top: 30px;
    left: 18px;
    transform: translateY(-6px) rotate(45deg);
    width: 30%;
}


/* 下層ページふわっと文字が出てくる
-------------------------- */
.fadeUpTrigger{
    opacity: 0;
}

.fadeUp {
    animation-name:fadeUpAnime;
    animation-duration:1s;
    animation-fill-mode:forwards;
    opacity:0;
}

@keyframes fadeUpAnime{
    from {
      opacity: 0;
    transform: translateY(-50px);
    }
  
    to {
      opacity: 1;
    transform: translateY(0);
    }
}

/* スクロールをしたら出現する要素にはじめに透過0を指定　*/
.fadeUpTrigger{
    opacity: 0;
}








/* responsive　-TABRET to SP-
-------------------------- */
@media(max-width: 1300px){
    #g-nav,
    .openbtn,
    .top-openbtn{
        display: block;
    }

    .pagination {
        display: none;
    }

    .top-page .openbtn{
        background: none;
    }
    
    /*========= ONLINESHOPアイコンを途中から上部固定させるためのCSS ===============*/
    /*JSを使いfixedクラスが付与された際の設定*/
    .top-sp-online-fixed{
        display: none;
    }

    .top-sp-online-fixed.fixed{
        display: block;
        position: fixed;
        top: 10px;
    }
}

    /* responsive　-SP-
-------------------------- */
@media(max-width: 768px){
    .openbtn{
        display: block;
    }

    .top-openbtn{
        display: block;
    }

    #page-top {
        bottom: 0;
        width: 13px;
    }

    #video {
        /*天地中央配置*/
        position: absolute;
        z-index: -1;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        /*縦横幅指定*/
        /* 16:9 の幅→16 ÷ 9＝ 177.77% */
        /* width: 260vh; */
        /* 16:9の幅 → 9 ÷ 16 = 56.25% */
        height: 180vw;
        min-height: 100vh;
        /* min-width: 100%; */
    }

    #sec-video-area{
        position: absolute;
        z-index: -1;/*最背面に設定*/
        top: 200px;
        right:0;
        left:0;
        bottom:-200px;
        overflow: hidden;
        max-height: 100vh;
    }
    
    #sec-video {
        /*天地中央配置*/
        position: absolute;
        z-index: -1;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        /*縦横幅指定*/
        /* 16:9 の幅→16 ÷ 9＝ 177.77% */
        /* width: 260vh; */
        /* 16:9の幅 → 9 ÷ 16 = 56.25% */
        height: 180vw;
        min-height: 100vh;
        /* min-width: 100%; */
        overflow: hidden;
    }
}